/// This class provides a set of constants, each representing a different hash algorithm.
///
/// * [SHA512] Represents the SHA-512 hash algorithm.
/// * [BLAKE2B] Represents the Blake2b hash algorithm.
/// * [MD2] Represents the MD2 hash algorithm.
/// * [MD4] Represents the MD4 hash algorithm.
/// * [MD5] Represents the MD5 hash algorithm.
/// * [RIPEMD128] Represents the RIPEMD-128 hash algorithm.
/// * [RIPEMD160] Represents the RIPEMD-160 hash algorithm.
/// * [RIPEMD256] Represents the RIPEMD-256 hash algorithm.
/// * [RIPEMD320] Represents the RIPEMD-320 hash algorithm.
/// * [SHA1] Represents the SHA-1 hash algorithm.
/// * [SHA3] Represents the SHA-3 hash algorithm.
/// * [SHA224] Represents the SHA-224 hash algorithm.
/// * [SHA256] Represents the SHA-256 hash algorithm.
/// * [SHA384] Represents the SHA-384 hash algorithm.
/// * [SM3] Represents the SM3 hash algorithm.
/// * [TIGER] Represents the Tiger hash algorithm.
/// * [WHIRLPOOL] Represents the Whirlpool hash algorithm.
sealed class HashAlgorithms {
  static const String SHA512 = 'SHA-512';
  static const String BLAKE2B = 'Blake2b';
  static const String MD2 = 'MD2';
  static const String MD4 = 'MD4';
  static const String MD5 = 'MD5';
  static const String RIPEMD128 = 'RIPEMD-128';
  static const String RIPEMD160 = 'RIPEMD-160';
  static const String RIPEMD256 = 'RIPEMD-256';
  static const String RIPEMD320 = 'RIPEMD-320';
  static const String SHA1 = 'SHA-1';
  static const String SHA3 = 'SHA-3';
  static const String SHA224 = 'SHA-224';
  static const String SHA256 = 'SHA-256';
  static const String SHA384 = 'SHA-384';
  static const String SM3 = 'SM3';
  static const String TIGER = 'Tiger';
  static const String WHIRLPOOL = 'Whirlpool';
}
